Bug Hunting Session
Bug 94421 - Web Wizard: option shift when loading saved session
Summary: Web Wizard: option shift when loading saved session
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-21 19:46 UTC by Julien Nabet
Modified: 2016-10-25 19:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Nabet 2015-09-21 19:46:31 UTC
On pc Debian x86-64 with master sources updated today, zip fullpath recorded in a saved session appears on textbox of ftp.

With a brand new profile
First time
1) Launch LO then Web Page wizard
2) Choose by default option for each step (load a doc on Step 2) until step 6 included
3) At step 7, uncheck "To a Local Folder", check "To a Zip archive", then click on "..." button for zip and choose a file.
(Let "save settings (recommended)" checked + by default session name "DefaultSession"
4) Click Finish
=> LO creates a zip file and display a popup indicating it's ok.
5) Close LO

Second time
1) Launch LO then Web Page wizard
2) Let "DefaultSession" at step 1 so LO will load this session, then click "Next"
=> LO loads the session
=> step 2 appears with file which had been selected First time
3) Click next until step 7
=> "To a web server via FTP" is checked and filepath of zip appears in its associated textbox
Comment 1 Commit Notification 2015-09-22 05:08:15 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09c3e186e8b8562e3d502c5cbdef385753336b7f

tdf#94421: Web Wizard, option shift when loading saved session

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Julien Nabet 2015-09-22 20:10:51 UTC
For 5.0: https://gerrit.libreoffice.org/#/c/18758/
Comment 3 Commit Notification 2015-09-23 07:18:45 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cfc880da034ae4a504042d3e78703e338eb43ff8&h=libreoffice-5-0

tdf#94421: Web Wizard, option shift when loading saved session

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.